Summary: SMB module for the PPP (Point-to-Point Protocol) daemon.
Name: ppp-smb
Version: 2.4.1
Release: 4
License: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.samba.org/pub/ppp/ppp-%{version}.tar.gz
Source1: ppp-2.3.5-pamd.conf
Source2: smb.c
Source4: smb_test.c
Source3: pam_smb-1.1.6.tar.gz
Patch0: ppp-2.4.1-make.patch
Patch1: ppp-2.3.6-sample.patch
Patch2: ppp-2.3.9-wtmp.patch
Patch3: ppp-2.4.0-reap.patch
Patch4: ppp-2.3.11-pam_session.patch
Patch5: ppp-2.4.1-warnings.patch
Patch6: ppp-smb-make.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: pam-devel
Requires: glibc >= 2.0.6, /etc/pam.d/system-auth

%description
This is a ppp plugin which enables pap authentication against an SMB server
such as SAMBA or Windows NT.

%prep
%setup  -n ppp-2.4.1 -q
%patch0 -p1 -b .make
%patch1 -p1 -b .sample
# patch 2 depends on the -lutil in patch 0
%patch2 -p1 -b .wtmp
%patch3 -p1 -b .reap
%patch4 -p1 -b .pam_session
%patch5 -p1 -b .warnings
find . -type f -name "*.sample" | xargs rm -f 

cp ${RPM_SOURCE_DIR}/smb.c pppd/plugins
cp ${RPM_SOURCE_DIR}/smb_test.c pppd/plugins
%patch6 -p1
ln -s Makefile.linux pppd/plugins/Makefile

%setup -D -T -a 3 -n pam_smb

%build
./configure
make
cd ../ppp-2.4.1
./configure
#make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
cd pppd/plugins
make smb.so
cd ../..

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd ../ppp-2.4.1

#make install DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir} BINDIR=$RPM_BUILD_ROOT%{_sbindir}
#
### it shouldn't be SUID root be default
##chmod 755 $RPM_BUILD_ROOT/usr/sbin/pppd
#
#chmod go+r scripts/*
#mkdir -p $RPM_BUILD_ROOT/etc/pam.d
#install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/ppp

strip pppd/plugins/smb.so
mkdir -p $RPM_BUILD_ROOT/usr/lib/pppd
cp pppd/plugins/smb.so $RPM_BUILD_ROOT/usr/lib/pppd
mkdir -p $RPM_BUILD_ROOT/etc/ppp
touch $RPM_BUILD_ROOT/etc/ppp/smb-users
touch $RPM_BUILD_ROOT/etc/ppp/smb-domains

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/pppd/smb.so
%config /etc/ppp/smb-users
%config /etc/ppp/smb-domains

%changelog
* Wed May 22 2002 John Newbigin <jn@it.swin.edu.au> 2.4.1-3
- Changed into ppp-smb spec file

* Wed Feb 27 2002 Nalin Dahyabhai <nalin@redhat.com> 2.4.1-3
- revert cbcp patch, it's wrong (#55367)

* Thu Aug  9 2001 Nalin Dahyabhai <nalin@redhat.com> 2.4.1-2
- add buildprereq on pam-devel (#49559)
- add patch to respond to CBCP LCP requests (#15738)
- enable cbcp support at build-time
- change the Copyright: tag to a License: tag

* Wed May 23 2001 Nalin Dahyabhai <nalin@redhat.com> 2.4.1-1
- update to 2.4.1

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Nov  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.4.0

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- move man pages to %{_mandir}

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- change perms using defattr
- modify PAM setup to use system-auth

* Sun Mar 26 2000 Florian La Roche <Florian.La Roche@redhat.com>
- change to root:root perms

* Mon Mar 06 2000 Nalin Dahyabhai <nalin@redhat.com>
- reaper bugs verified as fixed
- check pam_open_session result code (bug #9966)

* Mon Feb 07 2000 Nalin Dahyabhai <nalin@redhat.com>
- take a shot at the wrong reaper bugs (#8153, #5290)

* Thu Feb 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- free ride through the build system (release 2)

* Tue Jan 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 2.3.11

* Sat Nov 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- Better fix for both problems

* Fri Nov 05 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix for double-dial problem
- fix for requiring a controlling terminal problem

* Sun Sep 19 1999 Preston Brown <pbrown@redhat.com>
- 2.3.10 bugfix release

* Fri Aug 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- New version 2.3.9 required for kernel 2.3.13 and will be required
  for new initscripts.  auth patch removed; 2.3.9 does the same thing
  more readably than the previous patch.

* Thu Jun 24 1999 Cristian Gafton <gafton@redhat.com>
- add pppdump

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- force pppd use the glibc's logwtmp instead of implementing its own

* Wed Apr 01 1999 Preston Brown <pbrown@redhat.com>
- version 2.3.7 bugfix release

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 2.3.6

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- auth patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Jun  5 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.3.5.

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May  8 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make it run with kernels 2.1.100 and above.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 18 1998 Cristian Gafton <gafton@redhat.com>
- requires glibc 2.0.6 or later

* Wed Mar 18 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated PAM patch to not turn off wtmp/utmp/syslog logging.

* Wed Jan  7 1998 Cristian Gafton <gafton@redhat.com>
- added the /etc/pam.d config file
- updated PAM patch to include session support

* Tue Jan  6 1998 Cristian Gafton <gafton@redhat.com>
- updated to ppp-2.3.3, build against glibc-2.0.6 - previous patches not
  required any more.
- added buildroot
- fixed the PAM support, which was really, completely broken and against any
  standards (session support is still not here... :-( )
- we build against running kernel and pray that it will work
- added a samples patch; updated glibc patch

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- added a patch to use our own route.h, rather then glibc's (which has 
  alignment problems on Alpha's) -- I only applied this patch on the Alpha,
  though it should be safe everywhere

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- turned off the execute bit for scripts in /usr/doc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Integrated new patch from David Mosberger
- Improved description

